Package org.snpsift.lang.expression

# Class FieldGenotypeSub

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.Field
org.snpsift.lang.expression.FieldSub
org.snpsift.lang.expression.FieldGenotype
org.snpsift.lang.expression.FieldGenotypeSub

public class FieldGenotypeSub extends FieldGenotype
A field: E.g.: 'GEN[2].PL[3]'

Author:
  pablocingolani

## Field Summary

### Fields inherited from class org.snpsift.lang.expression.Field

`exceptionIfNotFound, name, number, returnType, TYPE_ALL, TYPE_ANY, vcfInfo, vcfInfoNumber`

### Fields inherited from class org.snpsift.lang.expression.Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`FieldGenotypeSub(String name, Expression indexExpr, Expression indexExpr2)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFieldString(org.snpeff.vcf.VcfEntry vcfEntry)`
Get a field from VcfEntry
`String`
`getFieldString(org.snpeff.vcf.VcfGenotype vcfGenotype)`
Get a field from VcfGenotype
`protected boolean`
`isSub()`
`String`
`toString()`

### Methods inherited from class org.snpsift.lang.expression.FieldGenotype

`evalGenotype`

### Methods inherited from class org.snpsift.lang.expression.FieldSub

`evalIndex, evalIndex, evalIndex, evalIndex`

### Methods inherited from class org.snpsift.lang.expression.Field

`eval, eval, fieldHeaderNotFound, fieldNotFound, getName, getReturnType, getSampleNum, gtFieldNotFound, indexStr, isSampleName, returnType, returnType, setExceptionIfNotFound`

### Methods inherited from class org.snpsift.lang.expression.Expression

`setNegated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FieldGenotypeSub

public FieldGenotypeSub(String name, Expression indexExpr, Expression indexExpr2)

## Method Details

### getFieldString

public String getFieldString(org.snpeff.vcf.VcfEntry vcfEntry)
Get a field from VcfEntry

Overrides:
  `getFieldString` in class `FieldGenotype`

### getFieldString

public String getFieldString(org.snpeff.vcf.VcfGenotype vcfGenotype)
Get a field from VcfGenotype

Overrides:
  `getFieldString` in class `FieldGenotype`

### isSub

protected boolean isSub()

Overrides:
  `isSub` in class `FieldGenotype`

### toString

public String toString()

Overrides:
  `toString` in class `FieldGenotype`